<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>Layout</title>
    </head>
    <style>
        .header{
            padding: 10vh;
            background: brown;
            text-align: center;
            color: aliceblue;
            font-size: 2rem;
            

        }
        .mid_area{
            display: flex;
            width: 100%;
            

        }
        .sidebar{
            flex: 25%;
            text-align: center;
            font-size: 2rem;            
            background-color: blue;
            padding: 3%;
        
            
        }
        .content{
            flex: 75%;
            text-align: center;
            font-size: 2rem;            
            background-color: yellow;
            padding: 14%;
        }
       
        
        .footer{
            padding: 5vh;
            background: pink;
            text-align: center;
            color: black;
            font-size: 2rem;
            
        }
        @media screen and (max-width: 700px){
            .mid_area{
                flex-direction: column;
            }
        }
    </style>
    <body>
        <div class="header">HEADER</div>
        <div class="mid_area">
            <div class="sidebar">SIDEBAR</div>
            <div class="content">CONTENT</div>
        </div>
        <div class="footer">FOOTER</div>
        
    
    </body>

</html>